PHP Manual
Prev |  | Next

# mysqli_stmt_reset

(PHP 5)

mysqli_stmt_reset

(no version information, might be only in CVS)

stmt->reset -- Resets a prepared statement

## Description

Procedural style:

bool mysqli_stmt_reset ( mysqli_stmt stmt )

Object oriented style (method):

class mysqli_stmt {
bool reset ( void )
}

The mysqli_stmt_reset() resets a prepared statement on client and server to state after prepare. For now this is mainly used to reset data sent with mysqli_stmt_send_long_data().

> Note: To prepare a statement with another query use function mysqli_stmt_prepare().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

mysqli_prepare().

Prev | Home | Next
mysqli_stmt_prepare | Up | mysqli_stmt_result_metadata